package sun.print;

import java.awt.Graphics;
import java.awt.PrintJob;
import java.awt.PrintGraphics;

public class ProxyPrintGraphics extends ProxyGraphics implements PrintGraphics
{
    private PrintJob printJob;
    
    public ProxyPrintGraphics(Graphics graphics, PrintJob printJob) {
        super(graphics);
        this.printJob = printJob;
    }
    
    @Override
    public PrintJob getPrintJob() {
        return this.printJob;
    }
    
    @Override
    public Graphics create() {
        return new ProxyPrintGraphics(this.getGraphics().create(), this.printJob);
    }
    
    @Override
    public Graphics create(int x, int y, int width, int height) {
        return new ProxyPrintGraphics(this.getGraphics().create(x, y, width, height), this.printJob);
    }
    
    public Graphics getGraphics() {
        return super.getGraphics();
    }
    
    @Override
    public void dispose() {
        super.dispose();
    }
}
